Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159657 - CAN-2005-1686 filename format string vulnerability
Summary: CAN-2005-1686 filename format string vulnerability
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL: http://www.securityfocus.com/bid/1369...
Whiteboard: public=20050520,impact=moderate,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 16:53 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-06 14:43:01 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-06-06 16:53:38 UTC
+++ This bug was initially created as a clone of Bug #159655 +++

gEdit is prone to a format string vulnerability. Exploitation may occur when the
program is invoked with a filename that includes malicious format specifiers.
This issue could be exploited to corrupt arbitrary regions of memory with
attacker-supplied data, potentially resulting in execution of arbitrary code in
the context of the user running the program.

Comment 1 Josh Bressers 2005-06-06 16:54:51 UTC
This issue should also affect FC4

Comment 2 Rahul Sundaram 2005-09-05 07:41:28 UTC
whats the status on this one?

Comment 3 Ray Strode [halfline] 2005-09-06 14:43:01 UTC
Fixed months ago.


Note You need to log in before you can comment on or make changes to this bug.